%define name	python-cdb
%define version 0.32
%define release 6mdk

Summary:	A python interface to constant database files (cdb)
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Development/Python
URL:		http://pilcrow.madison.wi.us/
BuildRequires:	python-devel >= 2.0
Requires:	python >= 2.0
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
The python-cdb extension module is an adaptation of D. J.
Bernstein's constant database package (see 
http://cr.yp.to/cdb.html).

cdb files are mappings of keys to values, designed for wickedly
fast lookups and atomic updates.  This module mimics the normal
cdb utilities, cdb(get|dump|make), via convenient, high-level
Python objects.

%prep

%setup -q

%build

CFLAGS="%{optflags}" python setup.py build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

python setup.py install \
    --root="%{buildroot}" \
    --record="INSTALLED_FILES"

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc ChangeLog README COPYING Example

%changelog
* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.32-6mdk
- Rebuild for new python

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.32-5mdk
- rpmbuildupdated

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.32-4mdk
- really rebuild against new python

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.32-3mdk
- rebuilt against new python

* Sun Jul 27 2003 Michael Scherer <scherer.michael@free.fr> 0.32-2mdk 
- BuildRequires

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.32-1mdk
- initial cooker contrib
